CMSIS-Driver: Driver_USBD.h File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Typedefs
Driver_USBD.h File Reference

## Data Structures

struct | ARM_USBD_STATE
| USB Device State. More...
struct | ARM_USBD_CAPABILITIES
| USB Device Driver Capabilities. More...
struct | ARM_DRIVER_USBD
| Access structure of the USB Device Driver. More...

## Macros

#define | ARM_USBD_API_VERSION ARM_DRIVER_VERSION_MAJOR_MINOR(2,3) /* API version */
#define | _ARM_Driver_USBD_(n) Driver_USBD##n
#define | ARM_Driver_USBD_(n) _ARM_Driver_USBD_(n)
#define | ARM_USBD_EVENT_VBUS_ON (1UL << 0)
| USB Device VBUS On. More...
#define | ARM_USBD_EVENT_VBUS_OFF (1UL << 1)
| USB Device VBUS Off. More...
#define | ARM_USBD_EVENT_RESET (1UL << 2)
| USB Reset occurred. More...
#define | ARM_USBD_EVENT_HIGH_SPEED (1UL << 3)
| USB switch to High Speed occurred. More...
#define | ARM_USBD_EVENT_SUSPEND (1UL << 4)
| USB Suspend occurred. More...
#define | ARM_USBD_EVENT_RESUME (1UL << 5)
| USB Resume occurred. More...
#define | ARM_USBD_EVENT_SETUP (1UL << 0)
| SETUP Packet. More...
#define | ARM_USBD_EVENT_OUT (1UL << 1)
| OUT Packet(s) More...
#define | ARM_USBD_EVENT_IN (1UL << 2)
| IN Packet(s) More...

## Typedefs

typedef void(* | ARM_USBD_SignalDeviceEvent_t )(uint32_t event)
| Pointer to ARM_USBD_SignalDeviceEvent : Signal USB Device Event. More...
typedef void(* | ARM_USBD_SignalEndpointEvent_t )(uint8_t ep_addr, uint32_t event)
| Pointer to ARM_USBD_SignalEndpointEvent : Signal USB Endpoint Event. More...

## Macro Definition Documentation

#define ARM_USBD_API_VERSION ARM_DRIVER_VERSION_MAJOR_MINOR(2,3) /* API version */

#define _ARM_Driver_USBD_ | ( |  | n | ) | Driver_USBD##n

#define ARM_Driver_USBD_ | ( |  | n | ) | _ARM_Driver_USBD_(n)